com.hazelcast.wan

## Enum WanSyncStatus

- java.lang.Object
- - java.lang.Enum<WanSyncStatus>
  - - com.hazelcast.wan.WanSyncStatus

- All Implemented Interfaces:
    Serializable, Comparable<WanSyncStatus>

      public enum WanSyncStatus
      extends Enum<WanSyncStatus>

  `WanSyncStatus` shows the current status of WAN sync.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILED` Indicates sync operation is unsuccessful.
    `IN_PROGRESS` Indicates a sync operation is in progress on the member.
    `READY` Indicates existing sync operation, if exists, is completed and/or member is available for new sync requests.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WanSyncStatus` | `getByStatus(int status)`
    `int` | `getStatus()`
    `static WanSyncStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WanSyncStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READY

          public static final WanSyncStatus READY

      Indicates existing sync operation, if exists, is completed and/or member is available for new sync requests.

    - #### IN_PROGRESS

          public static final WanSyncStatus IN_PROGRESS

      Indicates a sync operation is in progress on the member. At this state member will not accept new sync requests.

    - #### FAILED

          public static final WanSyncStatus FAILED

      Indicates sync operation is unsuccessful.

  - ### Method Detail

    - #### values

          public static WanSyncStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WanSyncStatus c : WanSyncStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WanSyncStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getStatus

          public int getStatus()

      Returns:
        unique ID of the event type

    - #### getByStatus

          public static WanSyncStatus getByStatus(int status)

Copyright © 2018. All rights reserved.